# Type Alias ModelInstanceCfg

type ModelInstanceCfg = {
fit_object: Buffer;
hyperparameters: any;
id?: number;
is_default?: boolean;
metric_values: any;
model_id: number;
name: string;
parameters: any;
report: string;
state: any;
trained_on: Date;
}

- Defined in model-abstracts/abstract_model_instance.ts:1

##### Index

### Properties

fit_object
hyperparameters
id?
is_default?
metric_values
model_id
name
parameters
report
state
trained_on

## Properties

### fit_object

fit_object: Buffer

- Defined in model-abstracts/abstract_model_instance.ts:11

### hyperparameters

hyperparameters: any

- Defined in model-abstracts/abstract_model_instance.ts:6

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_model_instance.ts:2

### `Optional` is_default

is_default?: boolean

- Defined in model-abstracts/abstract_model_instance.ts:12

### metric_values

metric_values: any

- Defined in model-abstracts/abstract_model_instance.ts:9

### model_id

model_id: number

- Defined in model-abstracts/abstract_model_instance.ts:4

### name

name: string

- Defined in model-abstracts/abstract_model_instance.ts:3

### parameters

parameters: any

- Defined in model-abstracts/abstract_model_instance.ts:10

### report

report: string

- Defined in model-abstracts/abstract_model_instance.ts:8

### state

state: any

- Defined in model-abstracts/abstract_model_instance.ts:5

### trained_on

trained_on: Date

- Defined in model-abstracts/abstract_model_instance.ts:7